import { FoundationElement } from '@microsoft/fast-foundation';
import { ErrorStructure } from '@genesislcap/foundation-errors';
export declare const foundationErrorDialogShadowOptions: ShadowRootInit;
export declare class ErrorDialog extends FoundationElement {
    dialog: HTMLElement & {
        close: () => void;
        show: () => void;
    };
    error: ErrorStructure;
    connectedCallback(): void;
    show(): void;
    dismiss(): void;
}
export declare const foundationErrorDialog: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorDialog, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<ErrorDialog, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof ErrorDialog>;
//# sourceMappingURL=error-dialog.d.ts.map